export default class {
    private client;
    private expireAfter;
    constructor(opt: IRedisConfig);
    private chatAsString;
    cacheContent: (contentId: string, content: string) => Promise<void>;
    cacheForChat: (postId: string, target: IChat) => Promise<void>;
    getContent: (contentId: string) => Promise<string>;
    isCachedForChat: (postId: string, target: IChat) => Promise<boolean>;
}
